View Issue Details

IDProjectCategoryView StatusLast Update
0010270ScribusGeneralpublic2015-10-27 16:21
ReporterJLuc Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformPCOS7OS Version
Product Version1.4.0svn 
Target VersionFixed in Version1.4.6.svn 
Summary0010270: Story Editor: Ctrl-F doesn't open Search window
DescriptionIn the story editor,

- CTRL-F should open the search window (now, it doesnt)

- Search results are highlited in the story editor, but the highlite is so low it is hardly noticeable : the background is very very light grey, very close to white (see screenshot : the word 'mare' is 'lowlighted')
When closing the search dialog, the word becomes strongly highlighted (white on black background), but it should be strongly highlighted aswell when the search dialog is open, since when the looked for word is found many times, one has to check whether the found word is the right one or the next one has to be looked for.


TagsHOST-Oman
PatchNo

Relationships

related to 0010391 closedjghali add keyboard shortcut Ctrl+F to Search/Replace in Story Editor 
child of 0012755 new Metabug: Search & Replace (1.5.x svn) 

Activities

JLuc

2011-09-16 22:45

developer  

scribus highlight.JPG (27,330 bytes)
scribus highlight.JPG (27,330 bytes)

JLuc

2014-02-27 11:33

developer  

JLuc

2014-02-27 11:38

developer   ~0031415

Last edited: 2014-03-09 12:23

View 3 revisions

Today, display is a little better (see new screenshot). It is better enough to be used, but probably not "accessibility requirements compliant" yet.

CTRL+F still doesnt work and produces a habbits-disturbing F inside the text, instead of opening the search dialog.

There is a "Search" button, but the icon isnt very clear. The icon features a pen which stands for the "replace" feature, but it makes the icon a bit hard to recognise. A plain "search" icon would be more easy to spot.

IbtisamN

2015-10-27 08:31

reporter   ~0036975

I have solved this bug. See issue No 0010391

jghali

2015-10-27 12:17

administrator   ~0036982

Fixed with 0010391 thanks to IbtisamN patch.

Kunda

2015-10-27 16:21

manager   ~0036991

closing

Issue History

Date Modified Username Field Change
2011-09-16 22:35 JLuc New Issue
2011-09-16 22:45 JLuc File Added: scribus highlight.JPG
2014-02-27 11:33 JLuc File Added: foundsearchdisplay2014.png
2014-02-27 11:38 JLuc Note Added: 0031415
2014-02-27 11:39 JLuc Note Edited: 0031415 View Revisions
2014-03-09 12:23 JLuc Note Edited: 0031415 View Revisions
2014-10-08 00:05 Kunda Relationship added child of 0012755
2015-09-25 19:08 Kunda Patch => No
2015-09-25 19:08 Kunda Summary Search problems in story editor => Story Editor: Ctrl-F doesn't open Search window
2015-09-25 19:08 Kunda Description Updated View Revisions
2015-09-25 19:09 Kunda Description Updated View Revisions
2015-10-19 21:44 Kunda Relationship added related to 0010391
2015-10-27 08:31 IbtisamN Note Added: 0036975
2015-10-27 12:17 jghali Note Added: 0036982
2015-10-27 12:17 jghali Status new => resolved
2015-10-27 12:17 jghali Fixed in Version => 1.5.1svn
2015-10-27 12:17 jghali Resolution open => fixed
2015-10-27 12:17 jghali Assigned To => jghali
2015-10-27 12:32 jghali Fixed in Version 1.5.1svn => 1.4.6.svn
2015-10-27 15:59 Kunda Tag Attached: HOST-Oman
2015-10-27 16:21 Kunda Note Added: 0036991
2015-10-27 16:21 Kunda Status resolved => closed